/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
04/01/2016

This program configures one IO pin (D4 in this example) as an output pin and 
alternates between making this pin high or low with 1 sec delays
It can be adapted to drive leds - RGB leds or any device that does not draw current over 20mA

Look at the Brainbox ARduino PINOUT diagram. ALl the pins with a blue marking can be used!

It can be altered to be used at any IO pin available at the Brainbox ARduino (max current 20mA)
(0, 1, 2, 3, 4, 7, 8, 11, 12, 14, 15, 16, 18, 19, 20, 21, 22, 23)

It can also be used at the 4 power output pins - (5, 6, 9, 10) (max current 600mA)
(pins with a purple marking at PINOUT diagram)
Be aware that the voltage at these 4 pins needs to be set by jumper 2
*/

// these lines make it possible to use pin names instead of pin numbers
// Constants do not change during the program
const int OUT_PIN =  4; 


// this setup function runs once when you press reset or power the board
void setup() 
{
  // initialize digital pin as output
  pinMode(OUT_PIN, OUTPUT);

}

// this loop function runs over and over again forever
void loop() 
  {
    digitalWrite(OUT_PIN, HIGH);  // make pin high
    delay(1000);                  // wait for 1sec
    digitalWrite(OUT_PIN, LOW);   // on Buzzer pin - generate 500Hz signal - for 500msec
    delay(1000);                  // make pin low
  }
